%define upstream_name    Dist-Zilla-Plugin-MetaProvides
%define upstream_version 2.001011

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    In the event nothing else works, pull in hand-crafted metadata from a specified file
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Dist::Zilla::Role::MetaProvider)
BuildRequires: perl(Dist::Zilla::Util::ConfigDumper) >= 0.2.1
BuildRequires: perl(Dist::Zilla::Util::Test::KENTNL) >= 1.3.1
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Hash::Merge::Simple)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(MooseX::Types)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(lib)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This Distribution Contains a small bundle of plugins for various ways of
populating the 'META.yml' that is built with your distribution.

The initial reason for this is due to stuff that uses the MooseX::Declare
manpage style class definitions not being parseable by many tools upstream,
so this is here to cover this problem by defining it in the metadata.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 2.1.11-2.mga6
+ Revision: 1026334
- Rebuild for perl 5.22.2

* Wed Feb 10 2016 shlomif <shlomif> 2.1.11-1.mga6
+ Revision: 953351
- update to 2.001011

* Wed Jun 24 2015 shlomif <shlomif> 2.1.2-1.mga6
+ Revision: 842280
- New version 2.001002

* Wed Oct 15 2014 umeabot <umeabot> 2.1.1-3.mga5
+ Revision: 743057
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sun Aug 31 2014 sander85 <sander85> 2.1.1-1.mga5
+ Revision: 669888
- update to 2.001001

* Sat Aug 23 2014 sander85 <sander85> 2.1.0-1.mga5
+ Revision: 666842
- update to 2.001000

* Tue Aug 19 2014 sander85 <sander85> 2.0.10-1.mga5
+ Revision: 665580
- update to 2.000010

* Sat Aug 16 2014 sander85 <sander85> 2.0.3-1.mga5
+ Revision: 664082
- update to 2.000003

* Tue Jul 15 2014 sander85 <sander85> 2.0.2-1.mga5
+ Revision: 652958
- update to 2.000002

* Mon Feb 17 2014 jquelin <jquelin> 2.0.0-1.mga5
+ Revision: 593429
- update to 2.000000

* Mon Oct 21 2013 umeabot <umeabot> 1.150.0.0-2.mga4
+ Revision: 537089
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 1.150.0.0-1.mga4
+ Revision: 486272
- update to 1.15000000

* Sun Jan 13 2013 umeabot <umeabot> 1.140.0.10-2.mga3
+ Revision: 366279
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 10 2012 jquelin <jquelin> 1.140.0.10-1.mga3
+ Revision: 291672
- update to 1.14000001

* Mon Mar 05 2012 jquelin <jquelin> 1.140.0.0-1.mga2
+ Revision: 218729
- update to 1.14000000

* Tue Apr 12 2011 jquelin <jquelin> 1.120.605.10-1.mga1
+ Revision: 83757
- update to 1.12060501

* Thu Apr 07 2011 jquelin <jquelin> 1.120.602.120-1.mga1
+ Revision: 81845
- update buildrequires:
- update to 1.12060212

* Sat Feb 26 2011 jquelin <jquelin> 1.120.448.60-1.mga1
+ Revision: 60198
- update buildrequires:
- update to 1.12044806

* Wed Jan 26 2011 jquelin <jquelin> 1.110.342.10-1.mga1
+ Revision: 41259
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-MetaProvides

